﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">BlazorApp</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Sākuma lapa
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="cimdi">
                <span class="oi oi-plus" aria-hidden="true"></span> Boksa cimdi
            </NavLink>
        </li>
       
         <li class="nav-item px-3">
        <NavLink class="nav-link" href="kaska">
            <span class="oi oi-list-rich" aria-hidden="true"></span> Boksa ķiveres
        </NavLink>
         </li>
           
         <li class="nav-item px-3">
        <NavLink class="nav-link" href="kape">
            <span class="oi oi-list-rich" aria-hidden="true"></span> Zobu sargi
        </NavLink>
         </li>
        
         <li class="nav-item px-3">
        <NavLink class="nav-link" href="botas">
            <span class="oi oi-list-rich" aria-hidden="true"></span> Apavi
        </NavLink>
         </li>
          <li class="nav-item px-3">
        <NavLink class="nav-link" href="saites">
            <span class="oi oi-list-rich" aria-hidden="true"></span> Boksa apsēji
        </NavLink>
         </li>
          <li class="nav-item px-3">
        <NavLink class="nav-link" href="maisi">
            <span class="oi oi-list-rich" aria-hidden="true"></span> Boksa maisi
        </NavLink>
         </li>
         <li class="nav-item px-3">
            <NavLink class="nav-link" href="grozs">
                <span class="oi oi-list-rich" aria-hidden="true"></span> Grozs
            </NavLink>
        </li>
    </ul>
    
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
